<?php
function controle($naam, $wachtwoord, $admin) {

		if ($admin == false) {

			$sql = "SELECT KLANT_ID, Username, Password FROM Klant WHERE Username='$naam'";

		} else { // admin nodig? Haal eerste record op

			$sql = "SELECT KLANT_ID, Username, Password FROM Klant LIMIT 0,1";

		}

		$result = mysql_query($sql);

		if (mysql_num_rows($result) > 0) {
			$password = mysql_result($result, 0, "Password");
			$klantid = mysql_result($result, 0, "KLANT_ID");

			if ($wachtwoord != $password) {
				return false;
			} else {
				return $klantid;
			}
		} else {
			return false;
		}

}

	// Check naam en wachtwoord

if (isset($_POST['verzonden'])) {

		$username = $_POST['username'];
		$wachtwoord = md5($_POST['wachtwoord']);

		$klantid = controle($username, $wachtwoord, $admin);

		if ($klantid != false) {
		// Correct

			$_SESSION['username'] = $username;
			$_SESSION['wachtwoord'] = $wachtwoord;
			$_SESSION['klantid'] = $klantid;

		}

}

if (controle($_SESSION['username'], $_SESSION['wachtwoord'], $admin) == false) {

	echo "<form method=\"post\" action=\"".$_SERVER["PHP_SELF"]."?";
	reset($_GET); // Zet de array pointer op 0, begin bij het begin
	// Stuur meegestuurd variabelen opnieuw mee.
	while($getvar = each($_GET)) {
		$varnaam = $getvar['key'];
		$varinhoud = $getvar['value'];
		echo "$varnaam=$varinhoud&";
	}
	echo "\">\n";
	echo "Naam: ";
	echo "<input type=\"text\" name=\"username\">";
	echo "<br>";
	echo "Wachtwoord: ";
	echo "<input type=\"password\" name=\"wachtwoord\">";
	echo "<br>";
	echo "<input type=\"submit\" value=\"verzenden\" name=\"verzonden\">";
	echo "</form>";

	echo "<p>Nog niet geregistreerd? <a href=\"aanmeldformulier.php\">[Registreer hier]</a><br>";

	if ($admin == "true") {
		echo "<p>--- Admin status is vereist!";
	}

	exit;

}

?>
